ippeveprinter(1)

NAME
ippeveprinter - eine IPP-Everywhere-Druckeranwendung für CUPS

SYNOPSIS
ippeveprinter [ --help ] [ --no-web-forms ] [ --pam-service Dienst ][ --version ] [ -2 ] [ -A ] [ -D Geräte-URI ] [ -F Ausgabetyp/-untertyp ] [ -K Schlüsselpfad ] [ -M Hersteller ] [ -P Dateiname.ppd ] [ -V IPP-Version ] [ -a Dateiname.conf ] [ -c Befehl ] [ -d Spool-Verzeichnis ] [ -f Typ/Untertyp[,…] ] [ -i Icon-Datei.png ] [ -k ] [ -l Ort ] [ -m Modell ] [ -n Rechnername ] [ -p Port ] [ -r Untertyp[,Untertyp] ] [ -s Geschwindigkeit[,Farbgeschwindigkeit] ] [ -v[vvv] ] Dienstename

BESCHREIBUNG
ippeveprinter ist ein einfacher Internet Printing Protocol (IPP)-Server, der der Spezifikation »IPP Everywhere (PWG 5100.14)« folgt. Er kann zum Testen von Client-Software dienen oder als sehr rudimentärer Server, der für jeden Druckauftrag einen Befehl ausführt, verwandt werden.

OPTIONEN
Die folgenden Optionen werden von ippeveprinter erkannt:

--help
    Zeigt die Programm-Verwendung.

--no-web-forms
    Deaktiviert die zur Aktualisierung der Medien- und Bereitstellungsstufen verwandte Webschnittstellenformulare.

--pam-service Dienst
    Legt den PAM-Dienstenamen fest. Der Vorgabedienst ist »cups«.

--version
    Zeigt die CUPS-Version an.

-2  Meldet die Unterstützung für zweiseitigen (Duplex-)Druck.

-A  Aktiviert Authentisierung für erstellte Drucker. ippeveprinter verwendet PAM, um »HTTP Basic«-Zugriffsberechtigungen zu authentisieren.

-D Geräte-URI
    Setzt die Geräte-URI für Druckausgabe. Die URI kann ein Dateiname, ein Verzeichnis oder eine Netzwerk-Socket-URI der Form »Socket://ADRESSE[:PORT]« sein (wobei die Vorgabe-Portnummer 9100 ist). Wird ein Verzeichnis angegeben, wird ippeveprinter eine Ausgabedatei mittels der Auftragskennung und dem Namen erzeugen.

-F Ausgabetyp/Untertyp[,…]
    Legt den Ausgabe-MIME-Medientyp fest. Die Vorgabe ist »application/postscript«, wenn die Option -P festgelegt ist.

-M Hersteller
    Setzt den Hersteller des Druckers. Die Vorgabe ist »Example«.

-P Dateiname.ppd
    Druckerattribute aus der festgelegten PPD-Datei laden. Diese Option wird typischerweise in Zusammenhang mit dem Druckerbefehl ippeveps(7)("-c ippeveps") verwandt.

-V 1.1

-V 2.0
    Legt die maximal zu berichtende IPP-Version fest. 2.0 ist die Vorgabe.

-c Befehl
    Führt den festgelegten Befehl für jedes ausgedruckte Dokument aus. Falls »Befehl« kein absoluter Pfad ist (»/Pfad/zu/Befehl«), sucht ippeveprinter nach dem Befehl im Unterverzeichnis »Befehl« des CUPS-Programmverzeichnisses, typischerweise /usr/lib/cups/Befehl oder /usr/libexec/cups/Befehl. Der Befehl cups-config(1) kann zum Erkennen des korrekten Programmpfades verwandt werden (»cups-config --serverbin«). Zusätzlich kann die Umgebungsvariable CUPS_SERVERBIN zum Außerkraftsetzen des Standardortes dieses Verzeichnisses verwandt werden - siehe die Handbuchseite cups(1) für weitere Details.

-d Spool-Verzeichnis
    Legt das Verzeichnis, in denen die Druckaufträge gehalten werden, fest. Die Vorgabe ist ein Verzeichnis unter dem aktuellen temporären Verzeichnis des Benutzers.

-f Typ/Untertyp[,…]
    Legt eine Liste von MIME-Medientypen fest, die der Server akzeptiert. Die Vorgabe hängt vom Typ des erstellten Druckers ab.

-i Icon-Datei.png
    Legt die Drucker-Icon-Datei für den Server fest. Die Datei muss ein Bild im Format PNG sein. Die Vorgabe ist ein intern bereitgestelltes PNG-Bild.

-k  Belässt die Druckdokumente im Spool-Verzeichnis, statt sie zu löschen.

-l Ort
    Legt die menschenlesbare Ortszeichenkette fest, die vom Server berichtet wird. Die Vorgabe ist die leere Zeichenkette.

-m Modell
    Legt den Modellnamen des Druckers fest. Die Vorgabe ist »Printer«.

-n Rechnername
    Legt den Rechnernamen, der vom Server gemeldet wird, fest. Die Vorgabe ist der durch den Befehl hostname(1) zurückgelieferte Name.

-p Port
    Legt den Port fest, bei dem auf Anfragen gewartet werden soll. Die Vorgabe ist eine benutzerspezifische Nummer zwischen 8000 und 8999.

-r off
    Schaltet DNS-SD-Dienstebewerbung komplett aus.

-r Untertyp[,Untertyp]
    Legt den/die DNS-SD-Untertyp(en) fest, die bekanntgegeben werden sollen. Mehrere Untertypen werden mit Kommata getrennt. Die Vorgabe ist »_print«.

-s Geschwindigkeit[,Farb-Geschwindigkeit]
    Legt die Druckergeschwindigkeit in Seiten pro Minute fest. Falls zwei Nummern angegeben werden und die zweite Nummer größer als 0 ist, wird der Server angeben, dass er Farbdruck unterstützt. Die Vorgabe ist »10,0«.

-v[vvv]
    Das Protokollieren der Aktivitäten auf die Standardfehlerausgabe erfolgt (sehr) ausführlich.

EXIT-STATUS
Das Programm ippeveprinter liefert 1 zurück, falls es nicht in der Lage ist, die Befehlszeilenargumente zu verarbeiten oder den IPP-Dienst zu registrieren. Andernfalls läuft ippeveprinter dauerhaft, bis er beendet wird.

KONFORMITÄT
Das Programm ippeveprinter ist eine Besonderheit von CUPS und konform zu der Spezifikation »IPP Everywhere (PWG 5100.14)«.

UMGEBUNG
ippeveprinter fügt für alle IPP-Auftragsattribute in der Druckanfrage Umgebungsvariablen hinzu, die mit »IPP_« beginnen. Wird beispielsweise ein Befehl für einen IPP-Auftrag ausgeführt, der das Attribut »media« des »Job Template« enthält, wird die Umgebungsvariable »IPP_MEDIA« auf den Wert des Attributes gesetzt.

Zusätzlich werden alle IPP-»xxx-default« und »pwg-xxx«-Druckerbeschreibungsattribute zu der Umgebung hinzugefügt. Beispielsweise wird die Umgebungsvariable »IPP_MEDIA_DEFAULT« auf den Vorgabewert für das Auftragsvorlagenattribut »media« gesetzt.

Aufgezählte Werte werden in ihre Schlüsselwort-Äquivalente umgewandelt. Beispielsweise wird ein Auftrags-Attribut »print-quality« mit dem aufgezählten Wert 3 die Umgebungsvariablen »IPP_PRINT_QUALITY« mit dem Wert »draft« werden. Die Zeichenkettenumwandlung erfolgt nur für standardmäßige »Job Template«-Attribute, derzeit »finishings«, »orientation-requested« und »print-quality«.

Schließlich enthält die Umgebungsvariable »CONTENT_TYPE« den MIME-Medientyp des auszudruckenden Dokuments, die Umgebungsvariable »DEVICE_URI« enthält die Geräte-URI, wie mit der Option »-D« angegeben, die Umgebungsvariable »OUTPUT_FORMAT« enhält den Ausgabe-MIME-Medientyp und die Umgebungsvariable »PPD« enthält den PPD-Dateinamen, wie mit der Option »-P« angegeben.

BEFEHLSAUSGABE
Druckbefehle schicken druckbereite Daten in die Standardausgabe, außer sie kommunizieren direkt mit einem Drucker.

Druckbefehle können auf der Standardfehlerausgabe Nachrichten an ippeveprinter mit den folgenden Präfixen zurückschicken:

ATTR: Attribut=Wert[ Attribut=Wert]
    Setzt das/die benannten Attribut(e) auf den gegebenen Wert. Derzeit können die Auftragsattribute »job-impressions« und »job-impressions-completed« und die Druckerstatusattribute »marker-xxx«, »printer-alert«, »printer-alert-description«, »printer-supply« und »printer-supply-description« gesetzt werden.

DEBUG: Fehlersuchnachricht
    Protokolliert eine Fehlersuchnachricht, falls mindestens zwei »-v« angegeben wurden.

ERROR: Fehlernachricht
    Protokolliert eine Fehlernachricht und kopiert die Nachricht in das Attribut »job-state-message«.

INFO: informative Nachricht
    Protokolliert eine informative/Fortschrittsnachricht, falls ein »-v« angegeben wurde und kopiert die Nachricht in das Attribut »job-state-message«, falls kein Fehler berichtet wurde.

STATE: Schlüsselwort[,Schlüsselwort,…]
    Setzt das Attribut »printer-state-reasons« des Druckers auf die aufgeführten Schlüsselwörter.

STATE: -Schlüsselwort[,Schlüsselwort,…]
    Entfernt die aufgeführten Schlüsselwörter aus dem Attribut »printer-state-reasons« des Druckers.

STATE: +Schlüsselwort[,Schlüsselwort,…]
    Fügt das aufgeführte Schlüsselwort zu dem Attribut »printer-state-reasons« des Druckers hinzu.

BEISPIELE
ippeveprinter mit dem Dienstnamen »Mein Toller Drucker« ausführen:

    ippeveprinter "Mein Toller Drucker"

Den Befehl file(1) immer ausführen, wenn ein Auftrag an den Server gesendet wird:

    ippeveprinter -c /usr/bin/file "Mein Toller Drucker"

SIEHE AUCH
ippevepcl(7), ippeveps(7), PWG Internet Printing Protocol Workgroup (http://www.pwg.org/ipp)

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.